Update Shared Modifier Values (batch)
PUT
https://api.bigcommerce.com/stores/store_hash/v3/catalog/shared-modifiers/:modifier_id/values
Bulk update modifier values for a shared modifier, using value IDs.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
modifier_idstringRequired
Request
This endpoint expects a list of objects.
idintegerRequired
The unique numeric ID of the shared modifier value; increments sequentially.
labelstringRequired
1-255 charactersThe unique text display within one option identifying the value on the storefront. Unique within an option.
sort_orderintegerRequired
-2147483648-2147483647The order in which the value displays on the storefront or in response bodies.
is_defaultbooleanOptional
The flag for preselecting a value as the default on the storefront. Up to one default per option. This field is not supported for swatch options.
value_dataobjectOptional
Additional data describing values for swatch option types.
Response
An array of SharedModifierValue objects.
datalist of objects
metaobject
Data about the response, including pagination and collection totals.
Errors
422
Unprocessable Entity Error